
Skills:
  - Deployment Services:
    - WDS:
      - Image Management
      - Applying driver packs based on hardware model
    - SCCM:
      - Managing software catalog, hardware inventory, windows update with WSUS
      - Applying images to workstations and laptops
    - Software Packaging:
      - PSAppDeployToolkit
      - Wise Script
      - VMware InstallBuilder
    - Cobbler:
      - Managing image configurations (Distro, Release, Hardware-specific considerations)
      - Applying images to baremetal servers remotely over PXE and IPMI
  - Scripting:
    - PowerShell:
      - Running DISM commands
      - Installing packages
      - Configuring windows applications
      - Applying updates
      - Running jobs remotely
    - Python:
      - Backend web developement using Django, Flask, and FastAPI
      - CLI tool developement using click
      - Developed a remote task orchestration / metric collection service
      - Developing OpenStack plugins
  - Infrastructure as Code:
    - Terraform:
      - Managed and deployed resources in OpenStack
      - Managed and deployed LXD instances
      - Managed configuration for Cobbler (Baremetal server provisioning with PXE)
    - Ansible:
      - Managed and deployed LXD instances
  - Configuration Management:
    - SCCM:
      - Managing software deployments based on business unit, hardware, and user role.
    - Ansible:
      - Creating roles and plays for software installation and configuration
      - Managing dynamic inventory with Netbox
      - Managing secrets with Ansible Vault
    - Puppet:
      - Creating roles, profiles, and manifests, for software installation and configuration
      - Creating bootstrap script that would install and register the puppet agent when new instances are spun up
